@Echo Control file to test Kermit-20 Server functions via Tops-20 DECnet NRT
LCLT20:: @CHKPNT LCLT20
@Terminal Ideal
@Get Kermit
@Info Ver
@Start
*Echo Condition Local Kermit-20
*Set Prompt "Local-Kermit-20>"
*CWD KT:
*PWD
*Show 50
*Set 50
*Time NUL
*Time Copy NUL DEC
*Time Copy NUL PTY
!*Log Session KT:K20NRT-SESSION.LOG.-1
*Show Line
*Show Packet
*Show Timing
*Show Input
!
REMT20:: @CHKPNT REMT20
!
*Echo Sign into remote Tops-20 NRT
*Connect TOMMYT:: /stay /timeout 60
*Input
*Output "oinky \r"
*Input "Last interactive login"
*Echo Don't bother catching up on system notifications
*Input "more?)"
*Output "Q"
*Input
!
!
*Output "Terminal Ideal\r"
*Input
*Output "ttyloc Venti Due Kermit Testing\r"
*Input
*Output "Finger\r"
*Input
!
REMK20:: @CHKPNT REMK20
!
*Echo Start Kermit on remote job
*Output "Get K20MIT\r"
*Input
*Output "Info Ver\r"
*Input
*Output "Start\r"
*Input "\r\nKermit-20>"
!
!
*Echo Configure remote Kermit and put into server mode
*Set input search-default "\r\nRemote-Kermit-20>"
*Show Input
*Output "Set Prompt Remote-Kermit-20>\r"
*Input
*Output "Show 50\r"
*Input
*Output "Set 50\r"
*Input
*Output "Time PTY\r"
*Input 
*Output "Time Copy PTY DEC\r"
*Input
*Output "Show Line\r"
*Input
*Output "Show Timing\r"
*Input
*Output "Show Packet\r"
*Input
!
*Show Line
!
!
*Output "SERVER\r"
*Input "BYE" 
*Input "\r\n" 
!
! The following commands exercise the remote Kermit in server mode
!
SIMSRV:: @CHKPNT SIMSRV
!
*Echo Simple comands that do not open files
*Remote PWD
*Remote Space
!
!
*Echo Remote Help (BASIC)
*Remote Help
*Statistics
!
!
NULTST:: @CHKPNT NULTST
!
*Echo Basic tests against NUL:
*Remote Dir "NUL:"
*Remote Type "NUL:"
*Remote Delete "NUL:"
*Echo NUL: looks deleted, but it's still there
*Remote Dir "NUL:"
*Remote CWD "NUL:" ""
*Echo Show that remote Connect to NUL: did nothing
*Remote PWD
*Echo Get is slower than a PTY
*Get "NUL:" NUL:
*Statistics
*Remote Status
*Put NUL: "NUL:"
*Statistics
*Remote Status
!
CWDTST:: @CHKPNT CWDTST
!
*Echo Test Changing real directories
*Remote CWD "TOMMYT:<OINKY.HOLMES.ADVENTURES>" ""
*Remote PWD
*Remote CWD
*Remote PWD
!
!
FILTST:: @CHKPNT FILTST
!
*Echo Tests with data files
*Remote CWD "TOMMYT:<OINKY.WILDE.CANTERVILLE>" ""
*Echo This The Ghost of Canterville by Oscar Wilde 
*Remote Dir "*.TXT.0"
!
PREFIX:: @CHKPNT PREFIX
*GET "GUTENBERG-PREFIX.TXT" PREFIX.TXT;T
*Statistics
*Remote Status
TITLE:: @CHKPNT TITLE
*GET "TITLE-PAGE.TXT" TITLE.TXT;T
*Statistics
*Remote Status
LIST:: @CHKPNT LIST
*GET "LIST-OF-ILLUSTRATIONS.TXT" LIST.TXT;T
*Statistics
*Remote Status
I:: @CHKPNT I
*GET "I.TXT" I.TXT;T
*Statistics
*Remote Status
II:: @CHKPNT II
*GET "II.TXT" II.TXT;T
*Statistics
*Remote Status
III:: @CHKPNT III
*GET "III.TXT" III.TXT;T
*Statistics
*Remote Status
IV:: @CHKPNT IV
*GET "IV.TXT" IV.TXT;T
*Statistics
*Remote Status
V:: @CHKPNT V
*GET "V.TXT" V.TXT;T
*Statistics
*Remote Status
VI:: @CHKPNT VI
*GET "VI.TXT" VI.TXT;T
*Statistics
*Remote Status
VII:: @CHKPNT VII
*GET "VII.TXT" VII.TXT;T
*Statistics
*Remote Status
POSTFX:: @CHKPNT POSTFX
*GET "GUTENBERG-POSTFIX-AND-LICENSE.TXT" POSTFX.TXT;T
*Statistics
*Remote Status
*Remote CWD
*
*Remote PWD
!
!
DONREM:: @CHKPNT DONREM
!
*Echo Done with remote tests, exit the remote Kermit
*Set Input Default-Timeout 17.125
*Show Input
*Clear /Display
*Show Line
*Finish
*Pause 2
*Output "\r"
*Input "@\r\n@"
*Output "Info Fork\r"
*Input "\r\n@"
!
FINREM:: @CHKPNT FINREM
!
*Echo Log the remote job out
*Output "Continue\r"
*Input
*Output "Show Line\r"
*Input
*Output "SERVER\r"
*Input "BYE" 
*Input "\r\n" 
*BYE
*Pause 4
!
FINLCL:: @CHKPNT FINLCL
!
*Echo Finish up and close out the local Kermit
*Clear /Display
*Show Line
*Close Session
*Connect Close
*Quit
!
!
CHKFIL:: @CHKPNT CHKFIL
@Echo Compare transferred files against known originals
@Info Job
@VD *.TXT.0
@Define OWC: TOMMYT:<OINKY.WILDE.CANTERVILLE>
@Define PREFIX: OWC:GUTENBERG-PREFIX.TXT
@Define TITLE:  OWC:TITLE-PAGE.TXT
@Define LIST:   OWC:LIST-OF-ILLUSTRATIONS.TXT
@Define POSTFX: OWC:GUTENBERG-POSTFIX-AND-LICENSE.TXT
@Set Trap File
@FILCOM
*TTY:=PREFIX:,PREFIX.TXT
*TTY:=TITLE:,TITLE.TXT
*TTY:=LIST:,LIST.TXT
*TTY:=OWC:I.TXT,I.TXT
*TTY:=OWC:II.TXT,II.TXT
*TTY:=OWC:III.TXT,III.TXT
*TTY:=OWC:IV.TXT,IV.TXT
*TTY:=OWC:V.TXT,V.TXT
*TTY:=OWC:VI.TXT,VI.TXT
*TTY:=OWC:VII.TXT,VII.TXT
*TTY:=POSTFX:,POSTFX.TXT
=
!
!
PORKY:: @CHKPNT PORKY
@Modify Batch K20NUR /Dependency:0
@Echo That's all Folks!
